import request from '@/utils/request'

//查看评价图片
export function selectOrderEvaluate(id) {
    return request({
        url: `/nurseApp/orderEvaluate/selectOrderEvaluate?orderNo=${id}`,
        method: 'get',
    })
}
// 查询商品订单列表
export function listGoodsOrder(query) {
    return request({
        url: '/system/goodsOrder/list',
        method: 'get',
        params: query
    })
}

// 查询商品订单
export function getGoodsOrder(id) {
    return request({
        url: '/system/goodsOrder/' + id,
        method: 'get'
    })
}
// 查看商品详细信息
export function getGoodsOrderlist(id) {
    return request({
        url: `/system/goodsOrder/goodsOrderByOrder` + `?orderNo=${id}`,
        method: 'get'
    })
}
// 退款
export function goodsOrderRefundinfo(id) {
    return request({
        url: `/system/goodsOrder/goodsOrderRefund` + `?goodsOrderId=${id}`,
        method: 'get',
    })
}

// 物流信息
export function editExpressNo(data) {
    return request({
        url: '/system/goodsOrder/editExpressNo',
        method: 'post',
        data: data
    })
}

// 退款确定按钮
export function weChatRefundOrderApply(data) {
    return request({
        url: '/nurseApp/weChatPayment/weChatRefundOrderApply',
        method: 'post',
        data: data
    })
}

// 新增商品订单
export function addGoodsOrder(data) {
    return request({
        url: '/system/goodsOrder',
        method: 'post',
        data: data
    })
}

// 修改商品订单
export function updateGoodsOrder(data) {
    return request({
        url: '/system/goodsOrder',
        method: 'put',
        data: data
    })
}

// 删除商品订单
export function delGoodsOrder(id) {
    return request({
        url: '/system/goodsOrder/' + id,
        method: 'delete'
    })
}